Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.datatags
Class RowTag

`java.lang.Object
javax.servlet.jsp.tagext.TagSupport
oracle.jbo.html.jsp.datatags.RowTag`

All Implemented Interfaces:
  DataBinder, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class RowTag
extends javax.servlet.jsp.tagext.TagSupport
implements DataBinder

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ACTION_ROW_ACTIVE`
`static java.lang.String` | `ACTION_ROW_CREATE`
`static java.lang.String` | `ACTION_ROW_CREATEINSERTINRANGE`
`static java.lang.String` | `ACTION_ROW_CREATENOINSERT`
`static java.lang.String` | `ACTION_ROW_CURRENT`
`static java.lang.String` | `ACTION_ROW_DELETE`
`static java.lang.String` | `ACTION_ROW_FIND`
`static java.lang.String` | `ACTION_ROW_GET`
`static java.lang.String` | `ACTION_ROW_INSERT`
`static java.lang.String` | `ACTION_ROW_LOCK`
`static java.lang.String` | `ACTION_ROW_UPDATE`
`protected boolean` | `bUseRequest`
`protected DataSource` | `ds`
`protected Row` | `row`
`protected RowSet` | `rs`
`protected java.lang.String` | `sAction`
`protected java.lang.String` | `sDataSource`
`protected java.lang.String` | `sRowKey`
`protected java.lang.String` | `sRowKeyParam`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`RowTag()`

Method Summary
`int` | `doEndTag()` doEndTag
`int` | `doStartTag()`
`DataSource` | `getDataSource()`
`java.lang.String` | `getDataSourceName()`
`Row` | `getRow()`
`protected Row` | `getRowFromRequestParameters(DataSource ds, RequestParameters params)`
`RowSet` | `getRowSet()`
`protected void` | `handleAction()`
`protected void` | `initialize()`
`void` | `setAction(java.lang.String sValue)`
`void` | `setDatasource(java.lang.String sDataSource)`
`void` | `setRowkey(java.lang.String rowkey)`
`void` | `setRowkeyparam(java.lang.String rowkey)`
`void` | `setUserequest(java.lang.String sUse)`
`protected void` | `updateRowAttributesFromRequestParameters(DataSource ds, RequestParameters params)`
`static void` | `updateRowAttributesFromRequestParameters(DataSource ds, Row row, javax.servlet.jsp.PageContext page, RequestParameters params)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_ROW_CREATE

    public static final java.lang.String ACTION_ROW_CREATE

  See Also:
    Constant Field Values

### ACTION_ROW_FIND

    public static final java.lang.String ACTION_ROW_FIND

  See Also:
    Constant Field Values

### ACTION_ROW_GET

    public static final java.lang.String ACTION_ROW_GET

  See Also:
    Constant Field Values

### ACTION_ROW_UPDATE

    public static final java.lang.String ACTION_ROW_UPDATE

  See Also:
    Constant Field Values

### ACTION_ROW_DELETE

    public static final java.lang.String ACTION_ROW_DELETE

  See Also:
    Constant Field Values

### ACTION_ROW_LOCK

    public static final java.lang.String ACTION_ROW_LOCK

  See Also:
    Constant Field Values

### ACTION_ROW_CURRENT

    public static final java.lang.String ACTION_ROW_CURRENT

  See Also:
    Constant Field Values

### ACTION_ROW_ACTIVE

    public static final java.lang.String ACTION_ROW_ACTIVE

  See Also:
    Constant Field Values

### ACTION_ROW_CREATENOINSERT

    public static final java.lang.String ACTION_ROW_CREATENOINSERT

  See Also:
    Constant Field Values

### ACTION_ROW_INSERT

    public static final java.lang.String ACTION_ROW_INSERT

  See Also:
    Constant Field Values

### ACTION_ROW_CREATEINSERTINRANGE

    public static final java.lang.String ACTION_ROW_CREATEINSERTINRANGE

  See Also:
    Constant Field Values

### sDataSource

    protected java.lang.String sDataSource

### sRowKey

    protected java.lang.String sRowKey

### sRowKeyParam

    protected java.lang.String sRowKeyParam

### sAction

    protected java.lang.String sAction

### bUseRequest

    protected boolean bUseRequest

### ds

    protected DataSource ds

### row

    protected Row row

### rs

    protected RowSet rs

Constructor Detail

### RowTag

    public RowTag()

Method Detail

### setDatasource

    public void setDatasource(java.lang.String sDataSource)

### setAction

    public void setAction(java.lang.String sValue)

### setRowkeyparam

    public void setRowkeyparam(java.lang.String rowkey)

### setRowkey

    public void setRowkey(java.lang.String rowkey)

### setUserequest

    public void setUserequest(java.lang.String sUse)

### getRowSet

    public RowSet getRowSet()

### getDataSource

    public DataSource getDataSource()

  Specified by:
    `getDataSource` in interface `DataBinder`

### getDataSourceName

    public java.lang.String getDataSourceName()

  Specified by:
    `getDataSourceName` in interface `DataBinder`

### getRow

    public Row getRow()

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Throws:
    `javax.servlet.jsp.JspException`

### handleAction

    protected final void handleAction()

### getRowFromRequestParameters

    protected final Row getRowFromRequestParameters(DataSource ds,
                                                    RequestParameters params)

### updateRowAttributesFromRequestParameters

    protected final void updateRowAttributesFromRequestParameters(DataSource ds,
                                                                  RequestParameters params)

### updateRowAttributesFromRequestParameters

    public static final void updateRowAttributesFromRequestParameters(DataSource ds,
                                                                      Row row,
                                                                      javax.servlet.jsp.PageContext page,
                                                                      RequestParameters params)

### initialize

    protected final void initialize()

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  doEndTag
  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Returns:
    int
  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.